Available in Classic and VPC
Get the CA details.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /api/v1/ca/{caTag} |
Request headers
For information about the request headers common to all Private CA APIs, see Private CA request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
caTag |
String | Required | CA tag value
|
Request example
The request example is as follows:
curl --location --request GET 'https://pca.apigw.ntruss.com/api/v1/ca/********-********' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | - | Response code |
msg |
String | - | Response message |
data |
Object | - | Response result |
data.caInfo |
Object | - | CA information |
data.caInfo.signingCount |
Number | - | No. of certificates signed by CA |
data.caInfo.caType |
String | - | CA type
|
data.caInfo.caId |
Number | - | CA identifier |
data.caInfo.statusUpdateDate |
String | - | Latest status change date and time
|
data.caInfo.destroyDate |
String | - | Deletion date and time
|
data.caInfo.alias |
String | - | CA name |
data.caInfo.memo |
String | - | CA memo |
data.caInfo.nrn |
String | - | CA identification value
|
data.caInfo.urlInfo |
Object | - | URL information |
data.caInfo.urlInfo.ocsp |
Array | - | Online Certificate Status Protocol (OCSP) URL |
data.caInfo.urlInfo.crl |
Array | - | Certificate revocation list (CRL) URL |
data.caInfo.urlInfo.ca |
Array | - | CA URL |
data.caTag |
String | - | CA tag value |
data.rgstDate |
Number | - | Registration date and time
|
data.status |
String | - | CA status
|
data.caCertInfo |
Object | - | CA certificate information |
data.caCertInfo.commonName |
String | - | Common name |
data.caCertInfo.country |
String | - | Standard country code
|
data.caCertInfo.issueName |
String | - | Issued CA name |
data.caCertInfo.notAfterDate |
Long | - | Certification expiration date and time
|
data.caCertInfo.publicKeyAlgorithm |
String | - | Encryption algorithm |
data.caCertInfo.notBeforeDate |
Long | - | Certification validity start date and time
|
data.caCertInfo.locality |
String | - | City name |
data.caCertInfo.stateProvince |
String | - | State/province or region name |
data.caCertInfo.organizationUnit |
String | - | Department name |
data.caCertInfo.certPem |
String | - | CA certificate (PEM) |
data.caCertInfo.chainPem |
String | - | Certificate chain (PEM) |
data.caCertInfo.signatureAlgorithm |
String | - | Signature algorithm |
data.caCertInfo.serialNo |
String | - | Certificate serial number |
data.caCertInfo.caCertId |
Long | - | Certification identifier |
data.caCertInfo.organization |
String | - | Organization name |
Response status codes
For information about the response status codes common to all Private CA APIs, see Private CA response status codes.
Response example
The response example is as follows:
{
"code": "SUCCESS",
"msg": "Success",
"data": {
"caInfo": {
"signingCount": 0,
"caType": "PRIVATE_ROOT",
"caId": 17***,
"statusUpdateDate": null,
"destroyDate": null,
"alias": "CA001",
"nrn":"nrn:PUB:PrivateCA::****:CA/****",
"memo": "",
"urlInfo": {
"ocsp": [],
"crl": [
"https://pca.apigw.ntruss.com/ext/********-********/crl"
],
"ca": [
"https://pca.apigw.ntruss.com/ext/********-********/ca"
]
},
"caTag": "********-********",
"rgstDate": 1721105242000,
"status": "ACTIVE"
},
"caCertInfo": {
"commonName": "name001",
"country": "",
"issuerName": "name001",
"notAfterDate": 2036465242000,
"publicKeyAlgorithm": "RSA",
"notBeforeDate": 1721105212000,
"locality": "",
"stateProvince": "",
"organizationUnit": "",
"certPem": "-----BEGIN CERTIFICATE-----\n{Certificate}\n-----END CERTIFICATE-----",
"chainPem": "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----",
"signatureAlgorithm": "SHA256withRSA",
"serialNo": "**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**",
"caCertId": 17726,
"organization": ""
}
}
}